Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# params.h File Reference

`#include "ace/Unbounded_Queue.h"`
`#include "ace/SString.h"`
`#include "objectid.h"`
`#include "CORBA_String.h"`

Include dependency graph for params.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_ORB_Parameters
| Parameters that are specific to the ORB. These parameters can be for the client, the server, or for both. = NOTE Some of the functions have inline definitions in the class header below. Please do not move them back to the .i file. cygnus-2.7.2-960126, distributed with Tornado 1.0.1, can't deal with returing a const reference here. It raises an internal compiler error at ace/Svc_Handler.cpp:46, of all places. More...
## Typedefs
typedef ACE_Unbounded_Queue< ACE_CString > | TAO_EndpointSet
typedef ACE_Unbounded_Queue_Iterator< ACE_CString > | TAO_EndpointSetIterator

## Detailed Description

Id:
  params.h,v 1.78 2004/01/03 05:28:50 bala Exp

Author:
  Chris Cleeland

## Typedef Documentation

typedef ACE_Unbounded_Queue<ACE_CString> TAO_EndpointSet

typedef ACE_Unbounded_Queue_Iterator<ACE_CString> TAO_EndpointSetIterator